public class TestMortgageClass
{ 
  public static void main(String[] args)
  { 
    double interestRate;
    int year;
    double loan;

    //enter input
    System.out.println(
        "Enter yearly interest rate, for example 8.25: ");
    interestRate = MyInput.readDouble();
    System.out.println(
        "Enter number of years as an integer, for example 5: ");
    year = MyInput.readInt();
    System.out.println(
        "Enter loan amount, for example 120000.95: ");
    loan = MyInput.readDouble();

    //creating Mortgage object
    Mortgage m = new Mortgage(interestRate, year, loan);

    //display results
    System.out.println("The monthly pay is "+m.monthlyPay());
    System.out.println("The total paid is "+m.totalPay());
  }
}

class Mortgage
{ 
  private double interest;
  private int year;
  private double loan;

  public Mortgage(double i, int y, double l)
  { 
    interest = i/1200.0;
    year = y;
    loan = l;
  }

  public double getInterest()
  { 
    return interest;
  }

  public double getYear()
  {
    return year;
  }

  public double getLoan()
  {
    return loan;
  }

  public double monthlyPay()
  {
    return loan*interest/(1-(Math.pow(1/(1+interest),year*12)));
  }

  public double totalPay()
  {
    return monthlyPay()*year*12;
  }
}










